Index: binary-improvements/AllocsCommands/Commands/ListLandProtection.cs
===================================================================
--- binary-improvements/AllocsCommands/Commands/ListLandProtection.cs	(revision 273)
+++ binary-improvements/AllocsCommands/Commands/ListLandProtection.cs	(revision 325)
@@ -1,11 +1,9 @@
 using System;
 using System.Collections.Generic;
+using AllocsFixes.PersistentData;
 
-namespace AllocsFixes.CustomCommands
-{
-	public class ListLandProtection : ConsoleCmdAbstract
-	{
-		public override string GetDescription ()
-		{
+namespace AllocsFixes.CustomCommands {
+	public class ListLandProtection : ConsoleCmdAbstract {
+		public override string GetDescription () {
 			return "lists all land protection blocks and owners";
 		}
@@ -13,20 +11,18 @@
 		public override string GetHelp () {
 			return "Usage:\n" +
-			"  1. listlandprotection summary\n" +
-			"  2. listlandprotection <steam id / player name / entity id> [parseable]\n" +
-			"  3. listlandprotection nearby [length]\n" +
-			"1. Lists only players that own claimstones, the number they own and the protection status\n" +
-			"2. Lists only the claims of the player given by his SteamID / entity id / playername, including the individual claim positions.\n" +
-			"   If \"parseable\" is specified the output of the individual claims will be in a format better suited for programmatical readout.\n" +
-			"3. Lists claims in a square with edge length of 64 (or the optionally specified size) around the executing player\n";
+			       "  1. listlandprotection summary\n" +
+			       "  2. listlandprotection <steam id / player name / entity id> [parseable]\n" +
+			       "  3. listlandprotection nearby [length]\n" +
+			       "1. Lists only players that own claimstones, the number they own and the protection status\n" +
+			       "2. Lists only the claims of the player given by his SteamID / entity id / playername, including the individual claim positions.\n" +
+			       "   If \"parseable\" is specified the output of the individual claims will be in a format better suited for programmatical readout.\n" +
+			       "3. Lists claims in a square with edge length of 64 (or the optionally specified size) around the executing player\n";
 		}
 
-		public override string[] GetCommands ()
-		{
-			return new string[] { "listlandprotection", "llp" };
+		public override string[] GetCommands () {
+			return new[] {"listlandprotection", "llp"};
 		}
 
-		public override void Execute (List<string> _params, CommandSenderInfo _senderInfo)
-		{
+		public override void Execute (List<string> _params, CommandSenderInfo _senderInfo) {
 			try {
 				if (_senderInfo.RemoteClientInfo != null) {
@@ -41,5 +37,5 @@
 				bool summaryOnly = false;
 				string steamIdFilter = string.Empty;
-				Vector3i closeTo = default(Vector3i);
+				Vector3i closeTo = default (Vector3i);
 				bool onlyCloseToPlayer = false;
 				int closeToDistance = 32;
@@ -71,10 +67,12 @@
 						try {
 							if (_params.Count == 3) {
-								if (!int.TryParse (_params[1], out closeToDistance)) {
+								if (!int.TryParse (_params [1], out closeToDistance)) {
 									SdtdConsole.Instance.Output ("Given length is not an integer!");
 									return;
 								}
+
 								closeToDistance /= 2;
 							}
+
 							ClientInfo ci = ConsoleHelper.ParseParamSteamIdOnline (_params [_params.Count - 1]);
 							EntityPlayer ep = w.Players.dict [ci.entityId];
@@ -95,15 +93,16 @@
 				LandClaimList.OwnerFilter[] ownerFilters = null;
 				if (!string.IsNullOrEmpty (steamIdFilter)) {
-					ownerFilters = new LandClaimList.OwnerFilter[] { LandClaimList.SteamIdFilter (steamIdFilter) };
+					ownerFilters = new[] {LandClaimList.SteamIdFilter (steamIdFilter)};
 				}
+
 				LandClaimList.PositionFilter[] posFilters = null;
 				if (onlyCloseToPlayer) {
-					posFilters = new LandClaimList.PositionFilter[] { LandClaimList.CloseToFilter2dRect (closeTo, closeToDistance) };
+					posFilters = new[] {LandClaimList.CloseToFilter2dRect (closeTo, closeToDistance)};
 				}
 
-				Dictionary<PersistentData.Player, List<Vector3i>> claims = LandClaimList.GetLandClaims (ownerFilters, posFilters);
+				Dictionary<Player, List<Vector3i>> claims = LandClaimList.GetLandClaims (ownerFilters, posFilters);
 
-				foreach (KeyValuePair<PersistentData.Player, List<Vector3i>> kvp in claims) {
-					SdtdConsole.Instance.Output (String.Format (
+				foreach (KeyValuePair<Player, List<Vector3i>> kvp in claims) {
+					SdtdConsole.Instance.Output (string.Format (
 						"Player \"{0} ({1})\" owns {4} keystones (protected: {2}, current hardness multiplier: {3})",
 						kvp.Key.Name,
@@ -115,7 +114,8 @@
 						foreach (Vector3i v in kvp.Value) {
 							if (parseableOutput) {
-								SdtdConsole.Instance.Output ("LandProtectionOf: id=" + kvp.Key.SteamID + ", playerName=" + kvp.Key.Name + ", location=" + v.ToString ());
+								SdtdConsole.Instance.Output ("LandProtectionOf: id=" + kvp.Key.SteamID +
+								                             ", playerName=" + kvp.Key.Name + ", location=" + v);
 							} else {
-								SdtdConsole.Instance.Output ("   (" + v.ToString () + ")");
+								SdtdConsole.Instance.Output ("   (" + v + ")");
 							}
 						}
@@ -123,6 +123,7 @@
 				}
 
-				if (steamIdFilter.Length == 0)
+				if (steamIdFilter.Length == 0) {
 					SdtdConsole.Instance.Output ("Total of " + ppl.m_lpBlockMap.Count + " keystones in the game");
+				}
 			} catch (Exception e) {
 				Log.Out ("Error in ListLandProtection.Run: " + e);
